Subject: Re: cannot rebaseall. please give me a hint
From: Jason Tishler <[email-masked]>
To: DANIBULDANIBUL <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Fri, 5 Nov 2004 17:05:50 -0500

Daniel,

Please post instead of sending private email.

On Fri, Nov 05, 2004 at 12:44:58PM +0000, DANIBULDANIBUL wrote:
> Hello,
> I have tried to start idlelib from cygwin but I got the following.
> I have tried to solve it with the rebase procedure but it is still not 
> working. this is what I got:
> 
> Daniel Montolio-Rodr@cep1dm-lap /lib/python2.3/idlelib
> $ idle
> C:\cygwin\bin\python2.3.exe (1940): *** unable to remap 
> C:\cygwin\bin\cygssl-0.9.7.dll to same address as parent(0x790000) != 
> 0x7A0000
>       5 [main] python2.3 1024 sync_with_child: child 1940(0x624) died 
> before ini
> tialization with status code 0x1
>     336 [main] python2.3 1024 sync_with_child: *** child state child 
> loading dll
> s
> Traceback (most recent call last):
>   File "/usr/bin/idle", line 4, in ?
>     main()
>   File "/lib/python2.3/idlelib/PyShell.py", line 1282, in main
>     flist.pyshell = PyShell(flist)
>   File "/lib/python2.3/idlelib/PyShell.py", line 764, in __init__
>     self.interp.start_subprocess()
>   File "/lib/python2.3/idlelib/PyShell.py", line 355, in 
> start_subprocess
>     self.spawn_subprocess()
>   File "/lib/python2.3/idlelib/PyShell.py", line 321, in 
> spawn_subprocess
>     self.rpcpid = os.spawnv(os.P_NOWAIT, sys.executable, args)
>   File "/usr/lib/python2.3/os.py", line 521, in spawnv
>     return _spawnvef(mode, file, args, None, execv)
>   File "/usr/lib/python2.3/os.py", line 489, in _spawnvef
>     pid = fork()
> OSError: [Errno 11] Resource temporarily unavailable
> 
> I had setup rebase and tried the following  
> 
> Daniel Montolio-Rodr@cep1dm-lap ~
> $ rebaseall
> bash: rebaseall: command not found

See below...

> so then I tried
> 
> Daniel Montolio-Rodr@cep1dm-lap /lib/python2.3/idlelib
> $ rebase -R -O /bin/cygssl-0.9.7.dll
> usage: REBASE [switches]
>               [-R image-root [-G filename] [-O filename] [-N filename]]
>               image-names...
> 
>               One of -b and -i switches are mandatory.
> 
>               [-a] Used with -x.  extract All debug info into .dbg file
>               [-b InitialBase] specify initial base address
>               [-c coffbase_filename] generate coffbase.txt
>                   -C includes filename extensions, -c does not
>               [-d] top down rebase
>               [-f] Strip relocs after rebasing the image
>               [-i coffbase_filename] get base addresses from 
> coffbase_filename
>               [-l logFilePath] write image bases to log file.
>               [-p] Used with -x.  Remove private debug info when 
> extracting
>               [-q] minimal output
>               [-s] just sum image range
>               [-u symbol_dir] Update debug info in .DBG along this path
>               [-v] verbose output
>               [-x symbol_dir] extract debug info into separate .DBG 
> file first
>               [-z] allow system file rebasing
>               [-?] display this message
> 
>               [-R image_root] set image root for use by -G, -O, -N
>               [-G filename] group images together in address space
>               [-O filename] overlay images in address space
>               [-N filename] leave images at their origional address
>                   -G, -O, -N, may occur multiple times.  
> File "filename"
>                   contains a list of files (relative to "image-root")

The above is the MS rebase not mine.  See below...

> Daniel Montolio-Rodr@cep1dm-lap /lib/python2.3/idlelib
> 
> $ rebase -v
> 
> REBASE: Total Size of mapping 0x00000000
> REBASE: Range 0x00000000 -0x00000000
> 
> but can you help me what exactly to use for rebase command line 
> 
> I belive I have not done anything as idle still does not work

Did you forget to install the rebase package?  Note that it is not
installed by default.  What does the following indicate?

    $ cygcheck -cd rebase
    Cygwin Package Information
    Package              Version        
    rebase               2.3-1

Install the rebase package and following the README.  You should be
good to go then.

> Thanks in advanced

You are welcome.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/